Gatsby, corrige el error "no se puede encontrar el módulo gatsby-cli / lib / reporter"

Cómo solucioné un error extraño: No puedo encontrar el error del módulo gatsby-cli / lib / reporter que obtuve al crear un sitio de Gatsby

Creé un sitio usandoGatsbyy corrígatsby developpara iniciar un servidor local.

Pero apareció un error extraño, coloreando con rojo mi terminal:

Gatsby error

Después de algunas búsquedas en GitHub y StackOverflow (¡encontré muchas personas con el mismo problema!) Y esto es lo que solucionó el error.

Primero, borrénode_modules:

rm -rf node_modules

then I used yarn instead of npm install:

yarn

This installed all the packages again.

Finally I ran gatsby develop and it worked.

Not sure what the cause problem is/was, but I tried again running npm install instead of yarn and it didn’t work.


More js tutorials: